Mongo::pairPersistConnect
Mongo::prevError
Mongo
PHP Manual

# Mongo::persistConnect

(PECL mongo >=0.9.0)

Mongo::persistConnect — Creates a persistent connection with a database server [deprecated]

### Description

public boolean Mongo::persistConnect ([ string `$username` = "" [, string `$password` = "" ]] )

Pass array("persist" => $id) to the constructor instead of using this method.

### Parameters

`username`

  A username used to identify the connection.

`password`

  A password used to identify the connection.

### Return Values

If the connection was successful.

### Errors/Exceptions

Throws MongoConnectionException if it fails to connect to the databases.

Mongo::pairPersistConnect
Mongo::prevError
Mongo
PHP Manual